﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title></title>
    <script type="text/javascript">
        $(document).ready(function () {

            var future1 = new Date();
            var future2 = new Date();

            $('#sidebarCollapse').on('click', function () {
                // $(".coach-bar").toggleClass('hide');
                $(".leftsidebar").toggleClass('hide');
                $('#Tsidebar').toggleClass('active');
                $(this).toggleClass('active');
            });

            $.datetimepicker.setLocale('en');
            $('#datetimepickerFrom').datetimepicker({
                formatTime: 'H:i',
                formatDate: 'Y-m-d',//'d.m.Y',
                timepickerScrollbar: false,
                defaultDate: new Date(future1.setDate(future1.getDate() - 28))
            }
            );
            $('#datetimepickerTo').datetimepicker({
                formatTime: 'H:i',
                formatDate: 'Y-m-d',//'d.m.Y',
                timepickerScrollbar: false,
                defaultDate: new Date(future2.setDate(future2.getDate() - 28))
            });
        });
    </script>
    <style>
        table {
            width: 65% !important;
            margin: 10px 339px 15px;
        }

        tbody {
            overflow: hidden;
            max-height: none;
        }

        thead {
            width: auto;
        }

        td:first-child {
            text-align: left;
        }
        /*th:hover {
            position: relative;
        }

            th:hover:after {
                content: attr(data-title);
                padding: 4px 8px;
                position: absolute;
                left: 0;
                top: -118%;
                white-space: nowrap;
                z-index: 20px;
                color: white;
                background: black;
                border: 1px solid #333;
                border-radius: 5px;
            }*/
            tfoot{
                width:100% !important;
            }
    </style>
    <style>

        .bar {
            fill: rgb(236,96,58);/*steelblue;*/
            border: 1px solid black;
        }

            .bar:hover {
                fill: rgb(0,65,101);/*brown;*/
            }

        .axis {
            font: 10px sans-serif;
        }

            .axis path,
            .axis line {
                fill: none;
                stroke: #000;
                shape-rendering: crispEdges;
            }

        .container {
            padding: 0;
            margin: 0;
        }

        .left {
            width: 80%;
            float: left;
            /*margin-left: 261px;*/
            margin-right: -18%;
            text-align: center;
        }

        .center {
            /*width: 345px;
            height: 350px;*/
            /*float: left;*/
            margin-left: 36px;
            /*margin-top:66px;*/
        }

        .right {
            width: 345px;
            height: 350px;
            float: left;
        }
    </style>

</head>
<body>

    <div class="container-fluid">
        <div class="row-fluid">
            <h3>Insights - Usage - Popular Areas</h3>
            <hr />

            <!-- Sidebar -->
            <div class="leftsidebar col-lg-11">



                <div class="container" ng-controller="AreaController">
                    <div id="metric_results" class="left">
                        <input id="btnSubmit" type="submit" value="Load More..." />
                        <input id="btnAll" type="submit" value="Load All..." />
                        <input id="btnLess" type="submit" value="Load Less..." style="display:none" />
                    </div>
                    <div id="visitorsvg" class="right"></div>
                    <div id="durationsvg" style="margin-left:52%;"></div>

                </div>
            </div>

            <div class="rightsidebar">

                <div class="wrapper">

                    <div id="content">
                        <button type="button" id="sidebarCollapse" class="navbar-btn active">
                            <span></span>
                            <span></span>
                            <span></span>
                        </button>
                        <div>

                        </div>

                    </div>

                    <nav id="Tsidebar" class="active card card-body bg-light">

                        <div class="sidebar-header">
                            <h4 style="color:#1F4E79;">Filters:</h4>
                        </div>
                        <form class="form-horizontal" name="myForm" role="form" ng-controller="SearchController">
                            <div class="form-group">
                                <label for="inputName3" class="col-sm-4 control-label">User name</label>
                                <div class="col-sm-8 input">
                                    <input class="form-control" id="inputName3" ng-model="formInfo.Username">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputEmail3" class="col-sm-4 control-label">Manager</label>
                                <div class="col-sm-8 input">
                                    <input class="form-control" id="inputEmail3" value="me" ng-model="formInfo.Manager">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Department</label>
                                <div class="col-sm-8 input">
                                    <select ng-options="d for d in deplist" class="form-control" ng-model="formInfo.Dept">
                                        <option value="">-- Select --</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Role</label>
                                <div class="col-sm-8 input">
                                    <select ng-options="r for r in rollist" class="form-control" ng-model="formInfo.Role">
                                        <option value="">-- Select --</option>
                                    </select>

                                    <!--<p>Selected Book: <b>{{ selected }}</b></p>-->

                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Aspiration</label>
                                <div class="col-sm-8 input">
                                    <select ng-options="r for r in rollist" class="form-control" ng-model="formInfo.Aspr">
                                        <option value="">-- Select --</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Location</label>
                                <div class="col-sm-8 input">
                                    <select ng-options="l for l in loclist" class="form-control" ng-model="formInfo.Loc">
                                        <option value="">-- Select --</option>
                                    </select>
                                </div>
                            </div>
                            <!--<input type="text" value="Y-m-d H:i:s" id="datetimepicker_format_value" />-->
                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Date From</label>
                                <div class="col-sm-8 input">
                                    <input id="datetimepickerFrom" class="form-control" autocomplete="off" type="text" ng-model="formInfo.frmDate" />
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputPassword3" class="col-sm-4 control-label">Date To</label>
                                <div class="col-sm-8 input">
                                    <input id="datetimepickerTo" class="form-control" autocomplete="off" type="text" ng-model="formInfo.toDate" />
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="btn-toolbar">
                                    <button id="btnclear" type="reset" class="btn col-lg-3" ng-click="resetForm()">Clear</button>
                                    <button id="btnapply" type="submit" class="btn col-lg-3" ng-click="saveData()">Apply</button>
                                </div>
                            </div>
                            <!--<span>{{formInfo}}</span>-->
                        </form>
                    </nav>


                </div>
            </div>
        </div>
    </div>



    <!--<script type="text/javascript">
        var svg = d3.select("svg"),
            width = svg.attr("width"),
            height = svg.attr("height"),
            radius = Math.min(width, height) / 2;

        var g = svg.append("g")
            .attr("transform", "translate(" + width / 2 + "," + height / 2 + ")");
        /** scaleOrdinal is used to add color in Chart **/
        var color = d3.scaleOrdinal([
            'gray', 'green', 'brown', 'orange', 'yellow', 'red', 'purple'
        ]);
        /**Generate Donut Chart */
        var pie = d3.pie().value(function (d) {
            return d.percent;
        });

        var path = d3.arc()
            .outerRadius(radius).innerRadius(radius-80);

        var label = d3.arc()
            .outerRadius(radius).innerRadius(radius - 80);
        /**Read Data from file**/

        d3.csv("data.csv", function (error, data) {
            if (error) {
                throw error;
            }
        /** Load data in Chart */

            var arc = g.selectAll(".arc")
                .data(pie(data))
                .enter()
                .append("g")
                .attr("class", "arc");

      /** Append path **/
            arc.append("path")
                .attr("d", path)
                .attr("fill", function (d) { return color(d.data.states); });

            console.log(arc)
      /**Append text with Chart **/
            arc.append("text").attr("transform", function (d) {
                return "translate(" + label.centroid(d) + ")";
            })

                .text(function (d) { return d.data.states; });
        });
       /** Append group elements attribute **/
        svg.append("g")
            .attr("transform", "translate(" + (width / 2 - 120) + "," + 20 + ")")
            .append("text").text("Top population states in india")
            .attr("class", "title")
    </script>-->

    <script type="text/javascript">
                                                //var data = {
                                                //    "rows": [

                                                //        {
                                                //            "STATUS": "Active",
                                                //            "count": "246"
                                                //        }
                                                //        ,
                                                //        {
                                                //            "STATUS": "Not Proceeded With",

                                                //            "count": "40"
                                                //        }

                                                //    ]
                                                //};

                                                //var data =  [
                                                //        {
                                                //            "url": "",
                                                //            "totalHits": 234,
                                                //            "totalDurationSec": 131338,
                                                //            "uniqueVisitors": 15
                                                //        },
                                                //        {
                                                //            "url": "expertise",
                                                //            "totalHits": 130,
                                                //            "totalDurationSec": 129877,
                                                //            "uniqueVisitors": 13
                                                //        },
                                                //        {
                                                //            "url": "profile",
                                                //            "totalHits": 70,
                                                //            "totalDurationSec": 42453,
                                                //            "uniqueVisitors": 9
                                                //        },
                                                //        {
                                                //            "url": "goalsEditor",
                                                //            "totalHits": 56,
                                                //            "totalDurationSec": 15719,
                                                //            "uniqueVisitors": 8
                                                //        },
                                                //        {
                                                //            "url": "goals",
                                                //            "totalHits": 60,
                                                //            "totalDurationSec": 4803,
                                                //            "uniqueVisitors": 10
                                                //        },
                                                //        {
                                                //            "url": "insights",
                                                //            "totalHits": 43,
                                                //            "totalDurationSec": 8038,
                                                //            "uniqueVisitors": 3
                                                //        },
                                                //        {
                                                //            "url": "growth",
                                                //            "totalHits": 46,
                                                //            "totalDurationSec": 83044,
                                                //            "uniqueVisitors": 7
                                                //        },
                                                //        {
                                                //            "url": "expertisePrioritiseGoal",
                                                //            "totalHits": 10,
                                                //            "totalDurationSec": 3688,
                                                //            "uniqueVisitors": 6
                                                //        },
                                                //        {
                                                //            "url": "ttp:",
                                                //            "totalHits": 1,
                                                //            "totalDurationSec": 0,
                                                //            "uniqueVisitors": 1
                                                //        },
                                                //        {
                                                //            "url": "forum",
                                                //            "totalHits": 10,
                                                //            "totalDurationSec": 481,
                                                //            "uniqueVisitors": 2
                                                //        }
                                                //    ]



                                                //var width = 800,
                                                //    height = 250,
                                                //    radius = Math.min(width, height) / 2;

                                                //var color = d3.scale.ordinal()
                                                //    .range(["#98abc5", "#8a89a6", "#7b6888", "#6b486b", "#a05d56", "#d0743c", "#ff8c00"]);

                                                //var arc = d3.svg.arc()
                                                //    .outerRadius(radius - 10)
                                                //    .innerRadius(radius - 70);

                                                //var pie = d3.layout.pie()
                                                //    .sort(null)
                                                //    .value(function (d) {
                                                //      //  return d.count;
                                                //        return d.uniqueVisitors;
                                                //    });



                                                //var svg = d3.select("body").append("svg")
                                                //    .attr("width", width)
                                                //    .attr("height", height)
                                                //    .append("g")
                                                //    .attr("transform", "translate(" + width / 2 + "," + height / 2 + ")");
                                                //debugger;
                                                //var g = svg.selectAll(".arc")
                                                //    //.data(pie(data.rows))
                                                //    .data(pie(data))
                                                //    .enter().append("g")
                                                //    .attr("class", "arc");

                                                //g.append("path")
                                                //    .attr("d", arc)
                                                //    .style("fill", function (d) {
                                                //        //return color(d.data.STATUS);
                                                //        return color(d.data.url);
                                                //    });

                                                //g.append("text")
                                                //    .attr("transform", function (d) {
                                                //        return "translate(" + arc.centroid(d) + ")";
                                                //    })
                                                //    .attr("dy", ".35em")
                                                //    .style("text-anchor", "middle")
                                                //    .text(function (d) {
                                                //        //return d.data.STATUS;
                                                //        return d.data.url;
                                                //    });
    </script>

</body>
</html>